# PSF-LoginServer - master - net.psforever.objects.avatar.Certification
PSF - LoginServer - master - net.psforever.objects.avatar.Certification
Keywords: PSF LoginServer master net.psforever.objects.avatar.Certification

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

o

net.psforever.objects.avatar

# Certification 

###
Companion class Certification

#### case object Certification extends IntEnum[Certification] with Product with Serializable

Source
  Certification.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[Certification], ValueEnum[Int, Certification], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Certification
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[Certification]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  macro def findValues: IndexedSeq[Certification]
    Attributes
      protected
    Definition Classes
      IntEnum
11.  def fromEncodedLong(certs: Long): Set[Certification]

    Certifications are often stored, in packet form, as an encoded little-endian `46u` value.

    Certifications are often stored, in packet form, as an encoded little-endian `46u` value. Decode a representative value into a subset of certification values.

    certs

      the certifications, as a single value

    returns

      the certifications, as a sequence of values

    See also

      `ChangeSquadMemberRequirementsCertifications`

      `changeSquadMemberRequirementsCertificationsCodec`

      `fromEncodedLong(Long, Iterable[Long], Set[CertificationType.Value])`

12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementName(n: Int): String
    Definition Classes
      Product
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toEncodedLong(certs: Set[Certification]): Long

    Certifications are often stored, in object form, as a 46-member collection.

    Certifications are often stored, in object form, as a 46-member collection. Encode a subset of certification values for packet form.

    returns

      the certifications, as a single value

21.  lazy val values: IndexedSeq[Certification]
    Definition Classes
      Certification → ValueEnum
22.  final lazy val valuesToEntriesMap: Map[Int, Certification]
    Definition Classes
      ValueEnum
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
26.  def withValue(i: Int): Certification
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
27.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], Certification]
    Definition Classes
      ValueEnum
28.  def withValueOpt(i: Int): Option[Certification]
    Definition Classes
      ValueEnum
29.  case object AAMAX extends Certification with Product with Serializable
30.  case object AIMAX extends Certification with Product with Serializable
31.  case object ATV extends Certification with Product with Serializable
32.  case object AVMAX extends Certification with Product with Serializable
33.  case object AdvancedEngineering extends Certification with Product with Serializable
34.  case object AdvancedHacking extends Certification with Product with Serializable
35.  case object AdvancedMedical extends Certification with Product with Serializable
36.  case object AgileExoSuit extends Certification with Product with Serializable
37.  case object AirCavalryAssault extends Certification with Product with Serializable
38.  case object AirCavalryInterceptor extends Certification with Product with Serializable
39.  case object AirCavalryScout extends Certification with Product with Serializable
40.  case object AirSupport extends Certification with Product with Serializable
41.  case object AntiVehicular extends Certification with Product with Serializable
42.  case object ArmoredAssault1 extends Certification with Product with Serializable
43.  case object ArmoredAssault2 extends Certification with Product with Serializable
44.  case object AssaultBuggy extends Certification with Product with Serializable
45.  case object AssaultEngineering extends Certification with Product with Serializable
46.  case object BFRAntiAircraft extends Certification with Product with Serializable
47.  case object BFRAntiInfantry extends Certification with Product with Serializable
48.  case object BattleFrameRobotics extends Certification with Product with Serializable
49.  case object CombatEngineering extends Certification with Product with Serializable
50.  case object DataCorruption extends Certification with Product with Serializable
51.  case object ElectronicsExpert extends Certification with Product with Serializable
52.  case object EliteAssault extends Certification with Product with Serializable
53.  case object Engineering extends Certification with Product with Serializable
54.  case object ExpertHacking extends Certification with Product with Serializable
55.  case object Flail extends Certification with Product with Serializable
56.  case object FortificationEngineering extends Certification with Product with Serializable
57.  case object GalaxyGunship extends Certification with Product with Serializable
58.  case object GroundSupport extends Certification with Product with Serializable
59.  case object GroundTransport extends Certification with Product with Serializable
60.  case object Hacking extends Certification with Product with Serializable
61.  case object Harasser extends Certification with Product with Serializable
62.  case object HeavyAssault extends Certification with Product with Serializable
63.  case object InfiltrationSuit extends Certification with Product with Serializable
64.  case object LightScout extends Certification with Product with Serializable
65.  case object Medical extends Certification with Product with Serializable
66.  case object MediumAssault extends Certification with Product with Serializable
67.  case object Phantasm extends Certification with Product with Serializable
68.  case object ReinforcedExoSuit extends Certification with Product with Serializable
69.  case object Sniping extends Certification with Product with Serializable
70.  case object SpecialAssault extends Certification with Product with Serializable
71.  case object StandardAssault extends Certification with Product with Serializable
72.  case object StandardExoSuit extends Certification with Product with Serializable
73.  case object Switchblade extends Certification with Product with Serializable
74.  case object UniMAX extends Certification with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[Certification]

### Inherited from ValueEnum[Int, Certification]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped